\usepackage[T1]{fontenc}
\usepackage[utf8]{inputenc}
\renewcommand\familydefault{\sfdefault}

\usepackage{geometry}
\usepackage{graphicx}
\usepackage[german]{babel}
\usepackage{listings}
\usepackage{xcolor}
\usepackage{subfiles}
\usepackage{enumitem}
\usepackage[hidelinks]{hyperref}
\usepackage{fancyhdr}
\usepackage{titlesec}
\usepackage{subfiles}
\usepackage{float}
\usepackage{wrapfig}
\usepackage{subcaption}

% compact items
\setlength{\parindent}{0cm}
\setlength{\parskip}{1ex}
\setitemize{itemsep=0pt}

\graphicspath{ {images/} }
\geometry{top=2.5cm,left=2cm,right=2cm,bottom=2cm}

\pagestyle{fancy}
\fancyhead[R]{\SUBJECT}
\fancyhead[L]{\nouppercase{\leftmark}}


\titlespacing{\section}{0pt}{12pt plus 4pt minus 2pt}{0pt plus 2pt minus 2pt}
\titlespacing{\subsection}{0pt}{12pt plus 4pt minus 2pt}{0pt plus 2pt minus 2pt}
\titlespacing{\subsubsection}{0pt}{12pt plus 4pt minus 2pt}{0pt plus 2pt minus 2pt}


\lstset{
  basicstyle=\ttfamily,
  columns=fullflexible,
  showstringspaces=false,
  commentstyle=\color{gray}\upshape
}

\definecolor{maroon}{rgb}{0.5,0,0}
\definecolor{darkgreen}{rgb}{0,0.5,0}

\definecolor{codegreen}{rgb}{0,0.6,0}
\definecolor{codegray}{rgb}{0.5,0.5,0.5}
\definecolor{codepurple}{rgb}{0.58,0,0.82}
\definecolor{backcolour}{rgb}{0.95,0.95,0.95}

\lstdefinelanguage{XML}
{
  basicstyle=\ttfamily,
  morestring=[s]{"}{"},
  backgroundcolor=\color{backcolour},   
  morecomment=[s]{?}{?},
  morecomment=[s]{!--}{--},
  commentstyle=\color{darkgreen},
  moredelim=[s][\color{black}]{>}{<},
  moredelim=[s][\color{red}]{\ }{=},
  stringstyle=\color{blue},
  numbers=left,
  numbersep=2pt,
  numberstyle=\tiny\color{black},
  identifierstyle=\color{maroon}
}

\lstdefinestyle{sharpc}{
	language=csh,
    backgroundcolor=\color{backcolour},   
    commentstyle=\color{codegreen},
    identifierstyle=\color{blue},
    keywordstyle=\color{magenta},
    numberstyle=\tiny\color{black},
    stringstyle=\color{orange}\ttfamily,
    basicstyle=\ttfamily,
    breakatwhitespace=false,         
    breaklines=true,
    morecomment=[l]{//}, %use comment-line-style!
	morecomment=[s]{/*}{*/}, %for multiline comments                 
    captionpos=b,                    
    keepspaces=true,                 
    numbers=left,                    
    numbersep=2pt,                  
    showspaces=false,                
    showstringspaces=false,
    showtabs=false,                  
    tabsize=2,
    morekeywords={ abstract, event, new, struct,
	as, explicit, null, switch,
	base, extern, object, this,
	bool, false, operator, throw,
	break, finally, out, true,
	byte, fixed, override, try,
	case, float, params, typeof,
	catch, for, private, uint,
	char, foreach, protected, ulong,
	checked, goto, public, unchecked,
	class, if, readonly, unsafe,
	const, implicit, ref, ushort,
	continue, in, return, using,
	decimal, int, sbyte, virtual,
	default, interface, sealed, volatile,
	delegate, internal, short, void,
	do, is, sizeof, while,
	double, lock, stackalloc,
	else, long, static,
	enum, namespace, string},
}

